Bug 100285 - function EASTERSUNDAY - check of year
Summary: function EASTERSUNDAY - check of year
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-09 07:45 UTC by raal
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-06-09 07:45:07 UTC
formula =EASTERSUNDAY(99999)  return 15.3.4463

Should return error. See help https://help.libreoffice.org/Calc/EASTERSUNDAY
Year is an integer between 1583 and 9956 or 0 and 99. 

This issue exist in OOo too -  https://bz.apache.org/ooo/show_bug.cgi?id=26699
Comment 1 Commit Notification 2016-06-09 12:49:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c08ec226e771de10c8863b7f1cda016fea442d2

Resolves: tdf#100285 EASTERSUNDAY() check valid year between 1583 and 9956

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-06-09 13:07:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fbb941e63b8baf81e51c2fa161543c591c57db8&h=libreoffice-5-2

Resolves: tdf#100285 EASTERSUNDAY() check valid year between 1583 and 9956

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2016-06-09 13:22:05 UTC
Pending review https://gerrit.libreoffice.org/26109 for 5-1
Comment 4 Commit Notification 2016-06-11 10:11:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8118a7c30e02b96a9dde9da590892c498681227f&h=libreoffice-5-1

Resolves: tdf#100285 EASTERSUNDAY() check valid year between 1583 and 9956

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.